﻿@{
    ViewBag.Title = "Home Page";
}

@{ //Aqui estão as variaveis globais uma String com a url da API  e outra que pega o CEP informado pelo usuario
    string APIadress = "http://api.postmon.com.br/v1/cep/";
    string mycep = Request["myCEP"];
    var dados = new API_Hello.Models.Dados();
}


<div>
        @{
            if (IsPost)
            {
            <form method="post" action="" class="form-group">
                Digite seu CEP:<br />
                <input type="text" name="myCEP" value="" /><br />
                <p></p>
                <input type="submit" value="Buscar" class="btn btn-primary" id="my_submit" />
            </form>
            String WebSearch = APIadress + mycep;
            WebSearch = mycep;
            <h1 id="message"></h1>
        try
        {

            var client = new System.Net.WebClient();//chama o método para baixar
            var myResult = client.DownloadString(APIadress + WebSearch);//faz o download da String
            dados.Carregar(myResult);
            <div class="result">
                <ul class="list-group">
                    <li class="list-group-item active">Cidade: @dados.cidade</li>
                    @if (dados.bairro != null && dados.bairro != "")
                {
                    <li class="list-group-item">Bairro: @dados.bairro</li>
            }
                    @if (dados.logradouro != null && dados.logradouro != "")
                {
                    <li class="list-group-item">Endereço: @dados.logradouro</li>
            }
                    <li class="list-group-item">Estado: @dados.estado</li>
                    <li class="list-group-item">CEP: @dados.cep</li>
                </ul>
            </div>

    }
    catch
    {
        <div class="alert-danger">
            @if (WebSearch == "")
        {
            <h1>Digite algo na Busca!!!</h1>
             
            }
            else
            {
        <h1>Não foi possível encontrar resultado!!!</h1>
        <h2>CEP: @WebSearch</h2>

    }
        </div>

}
}
    else
    {
        String WebSearch = APIadress + mycep;

        <form method="post" action="">
            Digite seu CEP:<br />
            <input type="text" name="myCEP" value="" /><br />
            <p></p>
            <input type="submit" value="Buscar" class="btn btn-primary" id="my_submit" />
        </form>
    }
        }
</div>


